import request from '@/utils/request'

// 查询随手拍记录列表
export function listPhotonote(query) {
  return request({
    url: '/laboratory/photonote/list',
    method: 'get',
    params: query
  })
}

// 查询随手拍记录详细
export function getPhotonote(id) {
  return request({
    url: '/laboratory/photonote/' + id,
    method: 'get'
  })
}

// 新增随手拍记录
export function addPhotonote(data) {
  return request({
    url: '/laboratory/photonote',
    method: 'post',
    data: data
  })
}

// 新增随手拍记录
export function handlePhotonote(data) {
  return request({
    url: `/laboratory/photonote/handle`,
    method: 'post',
    data:data
  })
}

// 修改随手拍记录
export function updatePhotonote(data) {
  return request({
    url: '/laboratory/photonote',
    method: 'put',
    data: data
  })
}

// 删除随手拍记录
export function delPhotonote(id) {
  return request({
    url: '/laboratory/photonote/' + id,
    method: 'delete'
  })
}
